import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# entra siteclassification set

Updates site classification configuration

## Usage

```sh
m365 entra siteclassification set [options]
```

## Options

```md definition-list
`-c, --classifications [classifications]`
: Comma-separated list of classifications.

`-d, --defaultClassification [defaultClassification]`
: Classification to use by default.

`-u, --usageGuidelinesUrl [usageGuidelinesUrl]`
: URL with usage guidelines for members.

`-g, --guestUsageGuidelinesUrl [guestUsageGuidelinesUrl]`
: URL with usage guidelines for guests.
```

<Global />

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions                 |
  |-----------------|-----------------------------|
  | Microsoft Graph | GroupSettings.ReadWrite.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions                 |
  |-----------------|-----------------------------|
  | Microsoft Graph | GroupSettings.ReadWrite.All |

  </TabItem>
</Tabs>

## Examples

Update Microsoft 365 Tenant site classification configuration.

```sh
m365 entra siteclassification set --classifications "High, Medium, Low" --defaultClassification "Medium"
```

Update only the default classification.

```sh
m365 entra siteclassification set --defaultClassification "Low"
```

Update site classification with a usage guidelines URL.

```sh
m365 entra siteclassification set --usageGuidelinesUrl "http://aka.ms/pnp"
```

Update site classification with usage guidelines URLs for guests and members.

```sh
m365 entra siteclassification set --usageGuidelinesUrl "http://aka.ms/pnp" --guestUsageGuidelinesUrl "http://aka.ms/pnp"
```

## Response

The command won't return a response on success.

## More information

- SharePoint "modern" sites classification: [https://learn.microsoft.com/sharepoint/dev/solution-guidance/modern-experience-site-classification](https://learn.microsoft.com/sharepoint/dev/solution-guidance/modern-experience-site-classification)
